Onboarding
Get Onboarding Progress
Returns per-step onboarding progress and saved data for a worker, seeded from domain records.
GEThttps://api.toku.com/hris/get-onboarding-progress
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/hris/get-onboarding-progress' \
--header 'Authorization: Bearer <token>'200 response
{
"overallStatus": "IN_PROGRESS",
"statusReason": "string",
"holdMessage": "string",
"statusEffectiveAt": "string",
"submissionCompletedStepCount": 0,
"submissionTotalStepCount": 0,
"verificationCompletedCount": 0,
"verificationTotalCount": 0,
"outstandingChecks": [
"string"
],
"roleInOrgId": "string",
"fullName": "string",
"propTraderInvitationProfile": {
"firstName": "string",
"lastName": "string",
"emailAddress": "string",
"countryCode": "string",
"countryName": "string"
},
"countryCode": "string",
"status": "NOT_STARTED",
"currentStepId": "string",
"steps": [
{
"stepId": "string",
"status": "NOT_STARTED",
"stepData": {},
"completedAt": "string",
"lastAccessedAt": "string",
"canWaiveUpdatedDocuments": true
}
],
"completedStepCount": 0,
"totalStepCount": 0,
"verificationGates": [
{
"stepId": "string",
"label": "string",
"status": "NOT_STARTED",
"completedAt": "string"
}
],
"onboardingStartedAt": "string",
"backgroundCheckBlocked": true,
"agreementUnderReview": true,
"addedBy": {
"name": "string",
"source": "TOKU",
"addedAt": "string"
},
"orgId": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
roleInOrgIdstring<uuid>Response
200Successful response
overallStatusstringrequiredAvailable options: IN_PROGRESS, AWAITING_VERIFICATION, COMPLETED, ON_HOLD
statusReasonstring | nullrequiredholdMessagestring | nullstatusEffectiveAtstring | nullrequiredsubmissionCompletedStepCountnumberrequiredsubmissionTotalStepCountnumberrequiredverificationCompletedCountnumberrequiredverificationTotalCountnumberrequiredoutstandingChecksstring[]requiredroleInOrgIdstringrequiredfullNamestring | nullrequiredpropTraderInvitationProfileobject | nullShow child attributes
firstNamestring | nullrequiredlastNamestring | nullrequiredemailAddressstring | nullrequiredcountryCodestringrequiredcountryNamestringrequiredcountryCodestringrequiredstatusstringrequiredAvailable options: NOT_STARTED, IN_PROGRESS, SUBMITTED, COMPLETED
currentStepIdstring | nullrequiredstepsobject[]requiredShow child attributes
stepIdstringrequiredstatusstringrequiredAvailable options: NOT_STARTED, IN_PROGRESS, COMPLETED, SKIPPED
stepDataobject | nullrequiredcompletedAtstring | nullrequiredlastAccessedAtstring | nullrequiredcanWaiveUpdatedDocumentsbooleancompletedStepCountnumberrequiredtotalStepCountnumberrequiredverificationGatesobject[]Show child attributes
stepIdstringrequiredlabelstringrequiredstatusstringrequiredAvailable options: NOT_STARTED, IN_PROGRESS, COMPLETED, SKIPPED
completedAtstring | nullrequiredonboardingStartedAtstring | nullrequiredbackgroundCheckBlockedbooleanrequiredagreementUnderReviewbooleanrequiredaddedByobject | nullrequiredShow child attributes
namestring | nullrequiredsourcestringrequiredAvailable options: TOKU, CLIENT
addedAtstringrequiredorgIdstring | null400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits